aboutsummaryrefslogtreecommitdiff
path: root/core/libressl
diff options
context:
space:
mode:
Diffstat (limited to 'core/libressl')
-rwxr-xr-xcore/libressl/build13
-rw-r--r--core/libressl/checksums2
-rwxr-xr-xcore/libressl/files/update-certdata.sh14
-rwxr-xr-xcore/libressl/post-install3
-rw-r--r--core/libressl/sources2
-rw-r--r--core/libressl/version1
6 files changed, 35 insertions, 0 deletions
diff --git a/core/libressl/build b/core/libressl/build
new file mode 100755
index 00000000..86ade623
--- /dev/null
+++ b/core/libressl/build
@@ -0,0 +1,13 @@
+#!/bin/sh -e
+
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc
+
+make
+make DESTDIR="$1" install
+
+install -Dm 755 update-certdata.sh "$1/etc/ssl"
+
+# Link ca-certificates to cert.pem
+ln -sfv ../cert.pem "$1/etc/ssl/certs/ca-certificates.crt"
diff --git a/core/libressl/checksums b/core/libressl/checksums
new file mode 100644
index 00000000..fe481445
--- /dev/null
+++ b/core/libressl/checksums
@@ -0,0 +1,2 @@
+d28db224cfb6d18009b2a7e8cb213cd5c943bbec87550062fef6a38479250315 libressl-3.2.1.tar.gz
+043d2c3d64ecfaa021dbd1e772e42bf261917ef9b8b5b2ea955efd64c0791f00 update-certdata.sh
diff --git a/core/libressl/files/update-certdata.sh b/core/libressl/files/update-certdata.sh
new file mode 100755
index 00000000..611f944d
--- /dev/null
+++ b/core/libressl/files/update-certdata.sh
@@ -0,0 +1,14 @@
+#!/bin/sh -e
+#
+# update-certdata.sh
+
+[ -w "$CPT_ROOT/etc/ssl" ] || {
+ printf '%s\n' "${0##*/}: root required to update CA certificates." >&2
+ exit 1
+}
+
+cd "$CPT_ROOT/etc/ssl" && {
+ wget https://curl.haxx.se/ca/cacert.pem
+ mv -f cacert.pem cert.pem
+ printf '%s\n' "${0##*/}: updated cert.pem"
+}
diff --git a/core/libressl/post-install b/core/libressl/post-install
new file mode 100755
index 00000000..f39088e7
--- /dev/null
+++ b/core/libressl/post-install
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+"$CPT_ROOT/etc/ssl/update-certdata.sh"
diff --git a/core/libressl/sources b/core/libressl/sources
new file mode 100644
index 00000000..1dc98b16
--- /dev/null
+++ b/core/libressl/sources
@@ -0,0 +1,2 @@
+https://fossies.org/linux/misc/libressl-3.2.1.tar.gz
+files/update-certdata.sh
diff --git a/core/libressl/version b/core/libressl/version
new file mode 100644
index 00000000..b7c90c2c
--- /dev/null
+++ b/core/libressl/version
@@ -0,0 +1 @@
+3.2.1 1